## com.fasterxml.jackson.databind.deser.std
Class StdKeyDeserializer

    java.lang.Object
      com.fasterxml.jackson.databind.KeyDeserializer
          com.fasterxml.jackson.databind.deser.std.StdKeyDeserializer

All Implemented Interfaces:
  Serializable

    public abstract class StdKeyDeserializer

extends KeyDeserializer
implements Serializable

Base class for simple key deserializers.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.KeyDeserializer
`KeyDeserializer.None`

Field Summary
`protected Class<?>` `_keyClass`

Constructor Summary
`protected` `StdKeyDeserializer(Class<?> cls)`

Method Summary
`protected abstract Object` `_parse(String key, DeserializationContext ctxt)`
`protected double` `_parseDouble(String key)`
`protected int` `_parseInt(String key)`
`protected long` `_parseLong(String key)`
`Object` `deserializeKey(String key, DeserializationContext ctxt)` Method called to deserialize a `Map` key from JSON property name.
`Class<?>` `getKeyClass()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _keyClass

    protected final Class<?> _keyClass

Constructor Detail

### StdKeyDeserializer

    protected StdKeyDeserializer(Class<?> cls)

Method Detail

### deserializeKey

    public final Object deserializeKey(String key,
                                       DeserializationContext ctxt)
                                throws IOException,
                                       JsonProcessingException

  Description copied from class: `KeyDeserializer`
  Method called to deserialize a `Map` key from JSON property name.

  Specified by:
    `deserializeKey` in class `KeyDeserializer`
  Throws:
    `IOException`
    `JsonProcessingException`

### getKeyClass

    public Class<?> getKeyClass()

### _parse

    protected abstract Object _parse(String key,
                                     DeserializationContext ctxt)
                              throws Exception

  Throws:
    `Exception`

### _parseInt

    protected int _parseInt(String key)
                     throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### _parseLong

    protected long _parseLong(String key)
                       throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### _parseDouble

    protected double _parseDouble(String key)
                           throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

Copyright © 2012 FasterXML. All Rights Reserved.